﻿@model Tuple<List<ModelDescView>, int, int, RangePlanCombo>

<div class="col-xs-6 col-md-6 pull-left">
    @DataTables.Show
    <select id="PageQtyModelList" class="QuantitySelector">
        <option @(Model.Item3 == 10 ? "selected" : "") value="10">10</option>
        <option @(Model.Item3 == 25 ? "selected" : "") value="25">25</option>
        <option @(Model.Item3 == 50 ? "selected" : "") value="50">50</option>
    </select>
    @DataTables.Entries
</div>
<div class="col-xs-6 col-md-6 pull-right no-padding">
    <button id="NextModelList" onclick="GetNextModelList();" class="btn btn-success btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
    <button id="PreviousModelList" onclick="GetPreviousModelList();" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
    <input type="number" id="TotalQuantityModelList" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2">
</div>
<div class="clear_simple"></div>

@foreach (ModelDescView item in Model.Item1)
{
    <li data-id="@item.ModelCode" class="ui-draggable">
        <a href="#">
            <input type="hidden" id="ModelPicDir_@item.ModelCode" value="@item.ModelImage" />
            <img src="@(!string.IsNullOrEmpty(item.ModelImage) ? "/images/"+item.ModelCode+"/"+Path.GetFileName(item.ModelImage)  : "")" alt="">
            <h3>@item.ModelCode</h3>
            <p>@item.ModDescription</p>
        </a>
    </li>
}